spandsp: one_way_line_model_state_t Struct Reference

spandsp 0.0.6

one_way_line_model_state_t Struct Reference

`#include <line_model.h>`

## Public Attributes
codec_munge_state_t * | munge
const float * | near_filter
int | near_filter_len
float | near_buf [129]
int | near_buf_ptr
awgn_state_t | near_noise
int | bulk_delay
int | bulk_delay_ptr
int16_t | bulk_delay_buf [8000]
const float * | far_filter
int | far_filter_len
float | far_buf [129]
int | far_buf_ptr
awgn_state_t | far_noise
float | near_cpe_hybrid_echo
float | near_co_hybrid_echo
float | far_cpe_hybrid_echo
float | far_co_hybrid_echo
float | dc_offset
int | mains_interference
tone_gen_state_t | mains_tone

## Detailed Description

One way line model descriptor. This holds the complete state of a line model with transmission in only one direction.

## Member Data Documentation

## ◆ bulk_delay

int one_way_line_model_state_t::bulk_delay

The bulk delay of the path, in samples

## ◆ bulk_delay_buf

int16_t one_way_line_model_state_t::bulk_delay_buf[8000]

The data store for simulating the bulk delay

## ◆ bulk_delay_ptr

int one_way_line_model_state_t::bulk_delay_ptr

A pointer to the current write position in the bulk delay store.

## ◆ dc_offset

float one_way_line_model_state_t::dc_offset

DC offset impairment

## ◆ far_buf

float one_way_line_model_state_t::far_buf[129]

Last transmitted samples (ring buffer, used by the line filter)

## ◆ far_buf_ptr

int one_way_line_model_state_t::far_buf_ptr

Pointer of the last transmitted sample in buf

## ◆ far_co_hybrid_echo

float one_way_line_model_state_t::far_co_hybrid_echo

The scaling factor for the far CO hybrid echo

## ◆ far_cpe_hybrid_echo

float one_way_line_model_state_t::far_cpe_hybrid_echo

The scaling factor for the far CPE hybrid echo

## ◆ far_filter

const float* one_way_line_model_state_t::far_filter

The coefficients for the far end analogue section simulation filter

## ◆ far_filter_len

int one_way_line_model_state_t::far_filter_len

The number of coefficients for the far end analogue section simulation filter

## ◆ far_noise

awgn_state_t one_way_line_model_state_t::far_noise

The noise source for distant analogue section of the line

## ◆ mains_interference

int one_way_line_model_state_t::mains_interference

Mains pickup impairment

## ◆ near_buf

float one_way_line_model_state_t::near_buf[129]

Last transmitted samples (ring buffer, used by the line filter)

## ◆ near_buf_ptr

int one_way_line_model_state_t::near_buf_ptr

Pointer of the last transmitted sample in buf

## ◆ near_co_hybrid_echo

float one_way_line_model_state_t::near_co_hybrid_echo

The scaling factor for the local CO hybrid echo

## ◆ near_cpe_hybrid_echo

float one_way_line_model_state_t::near_cpe_hybrid_echo

The scaling factor for the local CPE hybrid echo

## ◆ near_filter

const float* one_way_line_model_state_t::near_filter

The coefficients for the near end analogue section simulation filter

## ◆ near_filter_len

int one_way_line_model_state_t::near_filter_len

The number of coefficients for the near end analogue section simulation filter

## ◆ near_noise

awgn_state_t one_way_line_model_state_t::near_noise

The noise source for local analogue section of the line

The documentation for this struct was generated from the following file:

- line_model.h